Engage > Profiles

Get a profile by email

Get a Metorik Engage profile by email for a store.

GET /api/v1/store/engage/profile

Get a profile by email

curl --request GET \
  --url 'https://{baseUrl}/api/v1/store/engage/profile' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "profile": {
    "email": "[email protected]",
    "first_name": "Kendall",
    "last_name": "Roy",
    "country": "US",
    "company": "Waystar Royco",
    "consent": "double",
    "tags": [
      "VIP",
      "Wholesale"
    ],
    "created_at": "2026-03-26 12:00:00",
    "updated_at": "2026-03-26 12:00:00"
  }
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Query Parameters

Headers

  • Accept string required

    Response format header. Example: application/json

Response

application/json
  • profile object
    + Show Child Attributes
    • email string
    • first_name string
    • last_name string
    • country string
    • company string
    • consent string
    • tags[] string array
    • created_at string
    • updated_at string